version: "3.3"
services:
  httpd:
    networks:
      - default
      - traefik
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik"
      - "traefik.http.routers.${NAME}.rule=Host(`${HOST}`)"
      - "traefik.http.routers.${NAME}.tls.certresolver=myresolver"
      - "traefik.http.routers.${NAME}.entrypoints=web,websecure"
      - "traefik.http.routers.${NAME}.middlewares=hardening@docker"

  annotot:
    networks:
      - default
      - traefik
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik"
      - "traefik.http.routers.ANNOTOT_${NAME}.rule=Host(`${ANNOTOT_HOST}`)"
      - "traefik.http.routers.ANNOTOT_${NAME}.tls.certresolver=myresolver"
      - "traefik.http.routers.ANNOTOT_${NAME}.entrypoints=web,websecure"
      - "traefik.http.routers.ANNOTOT_${NAME}.middlewares=hardening@docker"
      - "traefik.http.services.ANNOTOT_${NAME}.loadbalancer.server.port=3000"

networks:
  traefik:
    external: true
